## glance 2014.2.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2,<=0.4.2

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=0.8.4,<=0.9.99,!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6
anyjson>=0.3.3,<=0.3.3
eventlet>=0.15.1,<=0.15.2
PasteDeploy>=1.5.0,<=1.5.2
Routes>=1.12.3,!=2.0,<=2.1
WebOb>=1.2.3,<=1.3.1
argparse
boto>=2.32.1,<2.35.0
sqlalchemy-migrate==0.9.1
httplib2>=0.7.5,<=0.9
kombu>=2.5.0,<=3.0.7
pycrypto>=2.6,<=2.6.1
iso8601>=0.1.9,<=0.1.10
ordereddict<=1.1
oslo.config>=1.4.0,<=1.6.0 # Apache-2.0
stevedore>=1.0.0,<=1.2.0 # Apache-2.0
netaddr>=0.7.12,<=0.7.13
keystonemiddleware>=1.0.0,<1.4.0
WSME>=0.6,<=0.6.4
# For openstack/common/lockutils
posix_ipc<=0.9.9

# For Swift storage backend.
python-swiftclient>=2.2.0,<=2.3.1

# For VMware storage backed.
oslo.vmware>=0.6.0,<0.9.0               # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste<=1.7.5.1

jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.1.0,<=1.1.1
python-keystoneclient>=0.10.0,<=1.1.0
pyOpenSSL>=0.11,<=0.13

# Required by openstack.common libraries
six>=1.7.0,<=1.9.0

oslo.db>=1.0.0,<1.1  # Apache-2.0
oslo.i18n>=1.0.0,<=1.3.1 # Apache-2.0
oslo.messaging>=1.4.0,<1.5.0

retrying>=1.2.2,!=1.3.0,<=1.3.3 # Apache-2.0
osprofiler>=0.3.0,<=0.3.0 # Apache-2.0

# Glance Store
glance_store>=0.1.1,<=0.1.10 # Apache-2.0

=== debian/changelog ===
glance (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (bb48dfc) (LP: #1443429)
    - [0892b64] Fix intermittent unit test failures
    - [223b6eb] Updated from global requirements
    - [a880c8e] Initiate deletion of image files if the import was interrupted
    - [25a722e] Image data remains in backend for deleted image
    - [16ece38] Fix copy-from when user_storage_quota is enabled
  * debian/patches/fix-requirements.patch: Rebased.
  * debian/patches/update-glance-store-tests.patch: Rebased

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:37:31 -0400

glance (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (d9a928e) (LP: #1418695):
    - [da10e96] Adding filesystem schema check in async task
    - [7d5d865] Cleanup chunks for deleted image that was 'saving'
    - [5191ed1] Prevent file, swift+config and filesystem schemes
    - [0400de4] Fix and add a test case for IPv6
    - [07a99e1] Fix getaddrinfo if dnspython is installed
    - [d9a928e] To prevent client use v2 patch api to handle file and swift location
  * d/p/fix-requirements.patch: Rebased.
  * d/p/ipv6-support.patch: Dropped. Fix is now upstream.
  * d/control: Bump minimum python-eventlet to get socket_timeout support.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:05:32 -0500

glance (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (41e143b) (LP: #1398952):
    - [640e08f] Disable osprofiler by default
    - [c5e302e] Image not downloaded without restricted property
    - [be90df8] Make RequestContext use auth_token (not auth_tok)
    - [10a6985] Swift Multi-tenant store: Pass context on upload
    - [540306e] Upgrade tests' mocks to match glance_store
    - [22b1992] Fix for adopt glance.store library in Glance
    - [3cdd0aa] Improve error log for expired image location url
    - [41e143b] Can not delete images if db deadlock occurs
  * d/control: Add python-hacking and python-mock to Build-Depends-Indep.
  * d/p/update-glance-store-tests.patch: Added to fix failing tests.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Dec 2014 12:59:48 -0500

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50), python-all (>= 2.6), sqlite3
Build-Depends-Indep:
 curl,
 python-anyjson (>= 0.3.3),
 python-boto (>= 2.12.0),
 python-cinderclient (>= 1:1.0.8),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0-1ubuntu3.1~),
 python-fixtures (>= 0.3.12),
 python-glance-store (>= 0.1.1),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.9.2),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-jsonschema (>= 2.0.0),
 python-keystoneclient (>= 1:0.9.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-mox,
 python-netaddr (>= 0.7.6),
 python-openssl (>= 0.11),
 python-oslo.config (>= 1:1.2.1),
 python-oslo.db,
 python-oslo.i18n,
 python-oslo.messaging (>= 1.3.0),
 python-oslo.vmware (>= 0.6.0),
 python-oslosphinx,
 python-osprofiler,
 python-passlib,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-psutil,
 python-requests (>= 1.1),
 python-retrying (>= 1.2.2),
 python-routes (>= 1.12.3),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sphinx,
 python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 1.0.0),
 python-suds,
 python-swiftclient (>= 1:2.1.0),
 python-testtools (>= 0.9.32),
 python-webob (>= 1.2.3),
 python-wsme,
 python-xattr,
 subunit,
 testrepository
Standards-Version: 3.9.4
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/juno
XS-Testsuite: autopkgtest

Package: python-glance
Architecture: all
Section: python
Depends:
 python-anyjson (>= 0.3.3),
 python-boto (>= 2.12.0),
 python-cinderclient (>= 1:1.0.8),
 python-crypto (>= 2.6),
 python-eventlet (>= 0.13.0-1ubuntu3.1~),
 python-glance-store (>= 0.1.1),
 python-greenlet (>= 0.3.2),
 python-httplib2 (>= 0.7.5),
 python-iso8601,
 python-iso8601 (>= 0.1.9),
 python-jsonschema (>= 1.3.0),
 python-keystoneclient (>= 1:0.9.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>= 2.4.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-netaddr (>= 0.7.6),
 python-openssl (>= 0.11),
 python-oslo.config (>= 1:1.2.1),
 python-oslo.messaging (>= 1.3.0),
 python-oslo.vmware (>= 0.6.0),
 python-osprofiler,
 python-passlib,
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-posix-ipc,
 python-retrying (>= 1.2.2),
 python-routes (>= 1.12.3),
 python-six (>= 1.7.0),
 python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
 python-stevedore (>= 1.0.0),
 python-swiftclient (>= 1:2.1.0),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${source:Version}),
 glance-registry (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ceph
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 python-glance (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks: glance ( <= 2011.3-0ubuntu4.1 )
Replaces: glance ( <= 2011.3-0ubuntu4.1  )
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends:
 glance-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: python-glanceclient
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2)
Depends:
 glance-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: python-glanceclient
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

## glance 2014.2.4

=== debian/changelog ===
glance (1:2014.2.4-0ubuntu1~cloud3) trusty-juno; urgency=medium

  * d/control: Add missing dependencies to Depends (LP: #1524177).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2015 11:42:55 -0500

glance (1:2014.2.4-0ubuntu1~cloud2) trusty-juno; urgency=medium

  * d/control: Add python-wsme to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Nov 2015 13:46:17 -0500

glance (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:16 -0500

glance (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (d569ed9) (LP: #1518323):
    - [868d916] Catch NotAuthenticated exception in import task
    - [5447e84] Cleanup chunks for deleted image if token expired
    - [45be8e1] Prevent image status being directly modified via v1
    - [29b282a] Replace assert statements with proper control-flow
    - [d569ed9] Eventlet green threads not released back to pool
  * d/p/fix-requirements.patch: Rebase and revert python-oslo.i18n to >= 1.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 13:50:03 -0500

=== debian/control ===
--- 
+++ 
@@ -74,7 +74,6 @@
  python-glance-store (>= 0.1.1),
  python-greenlet (>= 0.3.2),
  python-httplib2 (>= 0.7.5),
- python-iso8601,
  python-iso8601 (>= 0.1.9),
  python-jsonschema (>= 1.3.0),
  python-keystoneclient (>= 1:0.9.0),
@@ -84,13 +83,16 @@
  python-migrate (>= 0.9.1),
  python-netaddr (>= 0.7.6),
  python-openssl (>= 0.11),
- python-oslo.config (>= 1:1.2.1),
- python-oslo.messaging (>= 1.3.0),
+ python-oslo.config (>= 1:1.4.0),
+ python-oslo.db (>= 1.0.0),
+ python-oslo.i18n (>= 1.0.0),
+ python-oslo.messaging (>= 1.4.0),
  python-oslo.vmware (>= 0.6.0),
  python-osprofiler,
  python-passlib,
  python-paste,
  python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.6),
  python-posix-ipc,
  python-retrying (>= 1.2.2),
  python-routes (>= 1.12.3),
@@ -99,6 +101,7 @@
  python-stevedore (>= 1.0.0),
  python-swiftclient (>= 1:2.1.0),
  python-webob (>= 1.2.3),
+ python-wsme,
  ${misc:Depends},
  ${python:Depends}
 Provides: ${python:Provides}

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/man
	mkdir -p doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite

override_dh_installinit:
	dh_installinit --name glance-api
	dh_installinit --name glance-registry

## glance 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=0.9.7,<=0.9.99
anyjson>=0.3.3
eventlet>=0.16.1,!=0.17.0
PasteDeploy>=1.5.0
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
sqlalchemy-migrate>=0.9.5
httplib2>=0.7.5
kombu>=2.5.0
pycrypto>=2.6
iso8601>=0.1.9
ordereddict
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
taskflow>=0.7.1,<0.8.0
keystonemiddleware>=1.5.0
WSME>=0.6
# For openstack/common/lockutils
posix_ipc

# For Swift storage backend.
python-swiftclient>=2.2.0

# For VMware storage backed.
oslo.vmware>=0.11.1,<0.12.0                     # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste

jsonschema>=2.0.0,<3.0.0
python-keystoneclient>=1.1.0
pyOpenSSL>=0.11
# Required by openstack.common libraries
six>=1.9.0

oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0

retrying>=1.2.3,!=1.3.0 # Apache-2.0
osprofiler>=0.3.0                       # Apache-2.0

# Glance Store
glance_store>=0.3.0                   # Apache-2.0

# Artifact repository
semantic_version>=2.3.1

=== debian/control ===
--- 
+++ 
@@ -2,64 +2,81 @@
 Section: net
 Priority: extra
 Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50), python-all (>= 2.6), sqlite3
+Build-Depends:
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu5~),
+ python-all (>= 2.6),
+ sqlite3
 Build-Depends-Indep:
  curl,
  python-anyjson (>= 0.3.3),
- python-boto (>= 2.12.0),
- python-cinderclient (>= 1:1.0.8),
+ python-babel (>= 1.3),
+ python-cinderclient (>= 1:1.1.0),
+ python-coverage (>= 3.6),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
- python-fixtures (>= 0.3.12),
- python-glance-store (>= 0.1.1),
+ python-eventlet (>= 0.16.1),
+ python-fixtures (>= 0.3.14),
+ python-glance-store (>= 0.3.0),
  python-greenlet (>= 0.3.2),
- python-hacking (>= 0.9.2),
+ python-hacking (>= 0.10.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
  python-jsonschema (>= 2.0.0),
- python-keystoneclient (>= 1:0.9.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>= 2.4.8),
+ python-keystoneclient (>= 1:1.0.0),
+ python-keystonemiddleware (>= 1.5.0),
+ python-kombu (>= 2.5.0),
  python-lxml (>= 2.3),
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mock (>= 1.0),
  python-mox,
- python-netaddr (>= 0.7.6),
+ python-mox3 (>= 0.7.0),
+ python-netaddr (>= 0.7.12),
  python-openssl (>= 0.11),
- python-oslo.config (>= 1:1.2.1),
- python-oslo.db,
- python-oslo.i18n,
- python-oslo.messaging (>= 1.3.0),
- python-oslo.vmware (>= 0.6.0),
- python-oslosphinx,
- python-osprofiler,
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-policy (>= 0.3.1),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-vmware (>= 0.11.1),
+ python-oslosphinx (>= 2.2.0),
+ python-oslotest,
+ python-osprofiler (>= 0.3.0),
  python-passlib,
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
  python-posix-ipc,
- python-psutil,
- python-requests (>= 1.1),
- python-retrying (>= 1.2.2),
+ python-psutil (>= 1.1.1),
+ python-requests (>= 2.2.0),
+ python-retrying (>= 1.2.3),
  python-routes (>= 1.12.3),
+ python-semantic-version (>= 2.3.1),
  python-setuptools,
- python-six (>= 1.7.0),
- python-sphinx,
- python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
- python-stevedore (>= 1.0.0),
+ python-six (>= 1.9.0),
+ python-sphinx (>= 1.1.2),
+ python-sqlalchemy-ext | python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
  python-suds,
- python-swiftclient (>= 1:2.1.0),
- python-testtools (>= 0.9.32),
+ python-swiftclient (>= 1:2.2.0),
+ python-taskflow (>= 0.7.1),
+ python-testresources,
+ python-testtools (>= 0.9.36),
  python-webob (>= 1.2.3),
- python-wsme,
- python-xattr,
+ python-wsme (>= 0.6),
+ python-xattr (>= 0.3),
  subunit,
- testrepository
-Standards-Version: 3.9.4
+ testrepository (>= 0.0.18)
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/glance
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/juno
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/glance/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/glance/kilo
 XS-Testsuite: autopkgtest
 
 Package: python-glance
@@ -67,41 +84,48 @@
 Section: python
 Depends:
  python-anyjson (>= 0.3.3),
- python-boto (>= 2.12.0),
- python-cinderclient (>= 1:1.0.8),
+ python-boto (>= 2.32.1),
+ python-cinderclient (>= 1:1.1.0),
  python-crypto (>= 2.6),
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
- python-glance-store (>= 0.1.1),
+ python-eventlet (>= 0.16.1),
+ python-glance-store (>= 0.3.0),
  python-greenlet (>= 0.3.2),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-jsonschema (>= 1.3.0),
- python-keystoneclient (>= 1:0.9.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>= 2.4.8),
+ python-jsonschema (>= 2.0.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
+ python-kombu (>= 2.5.0),
  python-lxml (>= 2.3),
- python-migrate (>= 0.9.1),
- python-netaddr (>= 0.7.6),
+ python-migrate (>= 0.9.5),
+ python-netaddr (>= 0.7.12),
  python-openssl (>= 0.11),
- python-oslo.config (>= 1:1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.vmware (>= 0.6.0),
- python-osprofiler,
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-policy (>= 0.3.1),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslo-vmware (>= 0.11.1),
+ python-osprofiler (>= 0.3.0),
  python-passlib,
  python-paste,
  python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
  python-posix-ipc,
- python-retrying (>= 1.2.2),
+ python-retrying (>= 1.2.3),
  python-routes (>= 1.12.3),
- python-six (>= 1.7.0),
- python-sqlalchemy-ext | python-sqlalchemy (>= 0.8.2),
- python-stevedore (>= 1.0.0),
- python-swiftclient (>= 1:2.1.0),
+ python-six (>= 1.9.0),
+ python-sqlalchemy-ext | python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-swiftclient (>= 1:2.2.0),
+ python-taskflow (>= 0.7.1),
  python-webob (>= 1.2.3),
- python-wsme,
+ python-wsme (>= 0.6),
  ${misc:Depends},
  ${python:Depends}
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,13 @@
 VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
+include /usr/share/openstack-pkg-tools/pkgos.make
+
 %:
-	dh $@ --with python2
+	dh $@ --with python2,systemd
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
-
-override_dh_python2:
-	dh_python2 --no-guessing-deps
 
 override_dh_install:
 	dh_install --fail-missing
@@ -25,7 +24,7 @@
 	testr init && \
 	set -e && \
 	TEMP_REZ=`mktemp -t` && \
-	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
+	testr run --subunit glance.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
 	rm -f $$TEMP_REZ
 endif
 
@@ -42,7 +41,4 @@
 	dh_auto_clean
 	rm -rf doc/build
 	rm -rf glance.sqlite
-
-override_dh_installinit:
-	dh_installinit --name glance-api
-	dh_installinit --name glance-registry
+	rm -f debian/*.init debian/*.service debian/*.upstart

## glance 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
#
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...
greenlet>=0.3.2

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy<=0.9.99,>=0.9.7
anyjson>=0.3.3
eventlet!=0.17.0,>=0.16.1
PasteDeploy>=1.5.0
Routes!=2.0,>=1.12.3
WebOb>=1.2.3
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
httplib2>=0.7.5
kombu>=2.5.0
pycrypto>=2.6
iso8601>=0.1.9
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.context<0.3.0,>=0.2.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
stevedore<1.4.0,>=1.3.0 # Apache-2.0
taskflow<0.8.0,>=0.7.1
keystonemiddleware<1.6.0,>=1.5.0
WSME<0.7,>=0.6
# For openstack/common/lockutils
posix-ipc

# For Swift storage backend.
python-swiftclient<2.5.0,>=2.2.0

# For VMware storage backed.
oslo.vmware<0.12.0,>=0.11.1 # Apache-2.0

# For paste.util.template used in keystone.common.template
Paste

jsonschema<3.0.0,>=2.0.0
python-keystoneclient<1.4.0,>=1.2.0
pyOpenSSL>=0.11
# Required by openstack.common libraries
six>=1.9.0

oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.policy<0.4.0,>=0.3.1 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=0.3.0 # Apache-2.0

# Glance Store
glance-store<0.5.0,>=0.3.0 # Apache-2.0

# Artifact repository
semantic-version>=2.3.1

=== debian/changelog ===
glance (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ] 
  * Resynchronize with stable/kilo (d71bae6) (LP: #1506058):
    - [15e34b5] Catch NotAuthenticated exception in import task
    - [2499162] Download forbidden when get_image_location is set.
    - [5bebd51] Cleanup chunks for deleted image if token expired
    - [9beca53] Prevent image status being directly modified via v1
    - [0b27935] Fix Request ID has a double 'req-' at the start
    - [30f0c40] return request_id in case of 500 error
    - [eb99e45] Don't import files with backed files
    - [4b26977] Allow ramdisk_id, kernel_id to be null on schema
  * debian/patches/0001-Allow-ramdisk_id-kernel_id-to-be-null-on-schema.patch:
    Dropped no longer needed.
  * debian/patches/skip-online-tests.patch: Refreshed.

  [ Corey Byrant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.
  * d/control: Add python-semantic-version to Depends.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Oct 2015 08:48:38 -0400

glance (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  * Additional support for stable/kilo (LP: #1481008):
    - d/p/fix-test-artifacts-plugin-loader.patch: Added to fix failing tests.
    - d/p/skip-glance-search-tests.patch: Added to fix failing tests.
    - d/p/skip-online-tests.patch: Added to skip tests that require online access
      during Ubuntu builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Aug 2015 17:53:11 -0400

glance (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (45f9132) (LP: #1481008):
    - [899a8b9] Remove usage of assert_called_once in mocks
    - [d1f54b7] Fix OSProfiler exception when is enabled
    - [5baf018] Add client_socket_timeout option
    - [abc2a0c] Change status code from 500 to 400 for image update request
    - [88f92eb] Save image data after setting the data
    - [9faec58] Make sure the converted image is imported
    - [a6f4a9c] Remove ordereddict from requirements
    - [a102ebe] Fixed error message for negative values of min_disk and min_ram
    - [870e2d5] Return empty str for permissive, none, properties
    - [45f9132] Fix test_opts to not resolve requirements
  * d/p/fix-requirements.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Aug 2015 10:31:54 -0400

glance (1:2015.1.0-0ubuntu2) vivid; urgency=medium

  * d/p/0001-Allow-ramdisk_id-kernel_id-to-be-null-on-schema.patch: 
    Allow ramdisk_id, kernel_id to be null on schema. (LP: #1447215).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 31 Jul 2015 11:32:52 -0300

=== debian/control ===
--- 
+++ 
@@ -119,6 +119,7 @@
  python-posix-ipc,
  python-retrying (>= 1.2.3),
  python-routes (>= 1.12.3),
+ python-semantic-version (>= 2.3.1),
  python-six (>= 1.9.0),
  python-sqlalchemy-ext | python-sqlalchemy (>= 0.9.7),
  python-stevedore (>= 1.3.0),

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
+
+override_dh_python2:
+	dh_python2 --no-guessing-deps
 
 override_dh_install:
 	dh_install --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/glance glance-(\d.*)\.tar\.gz

## glance 2015.1.4

=== debian/changelog ===
glance (1:2015.1.4-0ubuntu2) trusty-kilo; urgency=medium

  * d/p/allow-image-list-if-access-to-attrs-is-forbidden.patch:
    Allow to list images in v2 if get_image_location policy is set
    to role:admin and user is not admin. (LP: #1502136).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 28 Jun 2017 17:21:53 -0400

glance (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 16:59:44 -0400

glance (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  [ Corey Bryant ]
  * d/tests/glance-daemons: Give daemon 5 seconds to start to prevent race.

  [ James Page ]
  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 20:03:54 +0000

## glance store-0.1.10

=== requirements.txt ===
oslo.config>=1.2.0
oslo.i18n>=0.1.0
oslo.serialization>=1.0.0 # Apache-2.0
oslo.utils>=1.0.0 # Apache-2.0
stevedore>=0.12

python-cinderclient>=1.0.6

# Required by openstack.common libraries
eventlet>=0.13.0
iso8601>=0.1.8
six>=1.4.1

# py2.6 compat
ordereddict

## glance store-0.1.11

=== requirements.txt ===
oslo.config>=1.6.0 # Apache-2.0
oslo.i18n>=0.1.0
oslo.serialization>=1.0.0 # Apache-2.0
oslo.utils>=1.2.0 # Apache-2.0
oslo.concurrency>=1.4.1         # Apache-2.0
stevedore>=0.12

python-cinderclient>=1.0.6

eventlet>=0.13.0 #s3
six>=1.4.1

jsonschema>=2.0.0,<3.0.0

# py2.6 compat
ordereddict

## glance store-0.5.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 oslo.utils>=1.2.0 # Apache-2.0
 oslo.concurrency>=1.4.1         # Apache-2.0
 stevedore>=0.12
+enum34
 
 python-cinderclient>=1.0.6
 
@@ -11,6 +12,3 @@
 six>=1.4.1
 
 jsonschema>=2.0.0,<3.0.0
-
-# py2.6 compat
-ordereddict

## glance store-0.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=1.11.0  # Apache-2.0
oslo.i18n>=1.5.0  # Apache-2.0
oslo.serialization>=1.4.0               # Apache-2.0
oslo.utils>=1.4.0                       # Apache-2.0
oslo.concurrency>=1.8.0         # Apache-2.0
stevedore>=1.3.0  # Apache-2.0
enum34

python-cinderclient>=1.2.1

eventlet>=0.17.3
six>=1.9.0

jsonschema>=2.0.0,<3.0.0

## glance store-0.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=1.11.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=1.6.0 # Apache-2.0
oslo.concurrency>=2.1.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6'

eventlet>=0.17.4
six>=1.9.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0

## glance store-0.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=2.7.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=2.8.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6'

eventlet>=0.17.4
six>=1.9.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0

## glance store-0.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.4.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0

## glance store-0.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.10.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0

## glance store-0.15.0

=== requirements.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-oslo.config>=3.10.0 # Apache-2.0
+oslo.config>=3.12.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.14.0 # Apache-2.0
+oslo.utils>=3.15.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 
 eventlet!=0.18.3,>=0.18.2 # MIT

## glance store-0.16.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 oslo.config>=3.12.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 stevedore>=1.16.0 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

## glance store-0.19.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.16.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0

## glance store-0.21.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
six>=1.9.0 # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.21.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

## glance store-2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
six>=1.10.0 # MIT

jsonschema>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

## glance store-5.3.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT

jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

## glance store-stable-2025.2

=== requirements.txt ===
--- 
+++ 
@@ -14,4 +14,3 @@
 keystoneauth1>=3.4.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
-retrying!=1.3.0,>=1.2.3 # Apache-2.0

## glance store-stable-kilo

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
stevedore<1.4.0,>=1.3.0 # Apache-2.0
enum34

python-cinderclient<1.2.0,>=1.1.0

eventlet!=0.17.0,>=0.16.1
six>=1.9.0

jsonschema<3.0.0,>=2.0.0

# py2.6 compat
ordereddict

## glance store-stable-mitaka

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.7.1 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,<3.0.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0

## glance store-stable-ocata

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
debtcollector>=1.2.0 # Apache-2.0

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.18.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
